GET
/
nps
/
bill
/
funds
cURL
curl --request GET \
  --url https://apidev.nusd.me/nps/bill/funds \
  --header 'BIZ-API-KEY: <api-key>' \
  --header 'Biz-Api-Nonce: <api-key>' \
  --header 'Biz-Api-Signature: <api-key>'
{
  "status": 0,
  "data": {
    "total": 7,
    "total_amount_in": "12.664",
    "total_amount_out": "5.00303",
    "data": [
      {
        "wallet_id": "332cf3e4-af07-46f9-a3da-4aa2cbe3bdd4",
        "transaction_id": "aabc16f2-50e2-45f5-b28e-5f1a3595b347",
        "type": "Deposit",
        "amount": "9.9",
        "balance_before": "0",
        "balance_after": "9.9",
        "created_at": "2025-11-12T22:06:51.993Z",
        "confirmed_at": "2026-02-02T11:28:46.399Z"
      }
    ]
  },
  "msg": "<string>"
}

Authorizations

BIZ-API-KEY
string
header
required

API Key,请求需在请求头中携带。

Biz-Api-Nonce
string
header
required

时间戳,请求需在请求头中携带。

Biz-Api-Signature
string
header
required

签名串,请求需在请求头中携带。

Query Parameters

wallet_id
string
required

钱包id

Example:

"b2c13dba-7787-4db5-98e3-cff374dc04cd"

start
integer

查询的起始时间戳;单位:秒;

Example:

1769996483

end
integer

查询的截止时间戳;单位:秒;

Example:

1770601283

time_type
enum<string>
default:Completed

start和end的匹配方式;=Confirmed,按交易的确认时间;=Completed,按交易的完成时间;(可选,默认=Completed)

Available options:
Confirmed,
Completed
Example:

"Confirmed"

page
integer
default:1

当前页码

Example:

1

num
integer
default:100

每页数量,最大每页1000;默认值:100

Required range: x <= 1000
Example:

100

Response

请求成功,返回财务账单列表

status
integer

状态码,0 表示成功。

Example:

0

data
object

财务账单数据

msg
string

错误消息,status 非 0 时存在